MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025012Community[OCCT] OCCT:Shape Healingpublic2014-06-16 18:252014-11-11 12:52
Reporterdrazmyslovich 
Assigned Toapn 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025012: ShapeFix_Wire checks the wrong parameter for the curve during SameParameter check
DescriptionShapeFix_Wire line 731:
          if( fabs(First-fp2d)>Precision::PConfusion() ||
              fabs(Last-fp2d)>Precision::PConfusion() ) {
Last should be compared with lp2d, but not fp2d
TagsNo tags attached.
Test case numberbugs vis(004) bug24714
Attached Files

- Relationships

-  Notes
(0029785)
drazmyslovich (developer)
2014-06-16 18:28

The fix is committed. Please, review it.
(0029786)
abv (manager)
2014-06-16 18:32

No remarks, please test
(0029807)
mkv (tester)
2014-06-18 11:01

Dear BugMaster,

Branch CR25012 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 75a779424bc982d003f27d8562ba52f545d3b2c9

Number of compiler warnings:

occt component :
Linux: 16 (16 on master)
Windows: 0 (0 on master)
MacOS: 200 (203 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 348832316 / 349066800
Total CPU difference: 51932.859999999964 / 52851.98000000001

Testing on Windows:
Total MEMORY difference: 367692880 / 368324888
Total CPU difference: 37640.359375 / 42223.875

There are no differences in images found by testdiff.

- Related Changesets
occt: master 44a87d69
Timestamp: 2014-06-16 14:27:06
Author: razmyslovich
Committer: apn
Details ] Diff ]
0025012: ShapeFix_Wire checks the wrong parameter for the curve during SameParameter check

SameParameter check is fixed to verify the correct pairs of parameters
mod - src/ShapeFix/ShapeFix_Wire.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-06-16 18:25 drazmyslovich New Issue
2014-06-16 18:25 drazmyslovich Assigned To => drazmyslovich
2014-06-16 18:28 drazmyslovich Note Added: 0029785
2014-06-16 18:28 drazmyslovich Status new => resolved
2014-06-16 18:32 abv Note Added: 0029786
2014-06-16 18:32 abv Assigned To drazmyslovich => bugmaster
2014-06-16 18:32 abv Status resolved => reviewed
2014-06-16 19:54 mkv Assigned To bugmaster => mkv
2014-06-18 11:01 mkv Note Added: 0029807
2014-06-18 11:02 mkv Test case number => bugs vis(004) bug24714
2014-06-18 11:02 mkv Assigned To mkv => bugmaster
2014-06-18 11:02 mkv Status reviewed => tested
2014-06-19 12:57 apn Target Version Unscheduled => 6.8.0
2014-06-20 12:54 apn Changeset attached => occt master 44a87d69
2014-06-20 12:54 apn Assigned To bugmaster => apn
2014-06-20 12:54 apn Status tested => verified
2014-06-20 12:54 apn Resolution open => fixed
2014-11-11 12:46 user533 Fixed in Version => 6.8.0
2014-11-11 12:52 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker